[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# assign(Tmatrix4_extended):Tmatrix3_double

Allow assignment of four-dimensional extended precision matrix to three-dimensional double precision matrix

## Declaration

Source position: matrix.pp line 520

`operator operator :=(`
`const v: Tmatrix4_extended`
`):Tmatrix3_double;`

## Description

This operator allows you to use a four-dimensional matrix with extended precision values wherever a three-dimensional matrix with double precision is expected. The surplus fields are thrown away.